| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
wxGridColumnHeaderRenderer Class Reference

`#include <wx/grid.h>`

Inheritance diagram for wxGridColumnHeaderRenderer:
[legend]

## Detailed Description

Base class for column headers renderer.

This is the same as wxGridHeaderLabelsRenderer currently but we still use a separate class for it to distinguish it from wxGridRowHeaderRenderer.

See Also
  wxGridColumnHeaderRendererDefault
  wxGridCellAttrProvider::GetColumnHeaderRenderer()

Since
  2.9.1

## Additional Inherited Members
Public Member Functions inherited from wxGridHeaderLabelsRenderer
virtual void | DrawLabel (const wxGrid &grid, wxDC &dc, const wxString &value, const wxRect &rect, int horizAlign, int vertAlign, int textOrientation) const
| Called by the grid to draw the specified label.